> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Requested Human Intervention

> Returns a pending human-intervention request from the in-session agent, if any.



## OpenAPI

````yaml /openapi.yaml get /v1/sessions/{session_id}/agent/requested-human-intervention
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/sessions/{session_id}/agent/requested-human-intervention:
    get:
      tags:
        - Agentic capabilities
      summary: Get Requested Human Intervention
      description: >-
        Returns a pending human-intervention request from the in-session agent,
        if any.
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Pending human-intervention request (if any).
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````